Subject: Re: bug#37473: 27.0.50; antialias setting is not preserved by, inheriting

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Jun 2022 14:57:27 +0300

> From: Po Lu <[email-masked]>
> Cc: David Ponce <[email-masked]>,  [email-masked],  [email-masked]
> Date: Mon, 20 Jun 2022 08:49:19 +0800
> 
> My goal was to fix C-x C-+ causing a font with an incorrect weight
> to be selected, by only preserving :antialias (as opposed to
> everything aside from foundry, family, registry and adstyle.)

What did you need to fix? what did you see that didn't work correctly,
and how to reproduce that?

> The fix should definitely be rewritten.

The latest code still singles out :antialiasing, and I don't
understand why.

> > IOW, do we really understand the reason for bug#37473?  Not the commit
> > which introduced it, but the reason why :antialiasing is being reset
> > and doesn't appear in attrs[] and in the realized face?  If so, could
> > someone please spell that out?
> 
> I think the person who wrote the font code is the only person who really
> understands it.  Is Kenchi Handa still around?

I added Handa-san to the CC, hopefully he will comment.